Yes, this is very strange. directfb is not excluded. Maybe i&#39;ll take a look at smart. Thanks.<br><br>Devin<br><br><br><div><span class="gmail_quote">On 6/7/07, <b class="gmail_sendername">Dag Wieers</b> &lt;<a href="mailto:dag@wieers.com">
dag@wieers.com</a>&gt; wrote:</span><blockquote class="gmail_quote" style="border-left: 1px solid rgb(204, 204, 204); margin: 0pt 0pt 0pt 0.8ex; padding-left: 1ex;">On Thu, 7 Jun 2007, Devin Henderson wrote:<br><br>&gt; I was getting this error during yum update--it was attempting to update
<br>&gt; mplayer. I uninstalled mplayer so that yum update would finish without error<br>&gt; but I still get the same error now trying to reinstall mplayer. For some<br>&gt; reason it complains about missing libdirectfb-0.9.so.25
 but the directfb<br>&gt; package provides this file. What gives?! Thanks, Devin<br>&gt;<br>&gt;<br>&gt; [root@six19 devin]# yum install mplayer*<br>&gt; Loading &quot;installonlyn&quot; plugin<br>&gt; Setting up Install Process
<br>&gt; Setting up repositories<br>&gt; Reading repository metadata in from local files<br>&gt; Reducing CentOS 5 - i386 - ATrpms to included packages only<br>&gt; Finished<br>&gt; Excluding Packages from Red Hat Enterprise 5 - 
RPMforge.net - dag<br>&gt; Finished<br>&gt; Parsing package install arguments<br>&gt; Resolving Dependencies<br>&gt; --&gt; Populating transaction set with selected packages. Please wait.<br>&gt; ---&gt; Package mplayerplug-in.i386
 0:3.40-1.el5.rf set to be updated<br>&gt; ---&gt; Package mplayer-skins.noarch 0:1.8-1.nodist.rf set to be updated<br>&gt; ---&gt; Package mplayer.i386 0:1.0-0.35.rc1try2.el5.rf set to be updated<br>&gt; --&gt; Running transaction check
<br>&gt; --&gt; Processing Dependency: libdirectfb-0.9.so.25 for package: mplayer<br>&gt; --&gt; Finished Dependency Resolution<br>&gt; Error: Missing Dependency: libdirectfb-0.9.so.25 is needed by package<br>&gt; mplayer
<br><br>This file is in the directfb-0.9.25 package. I have no clue why your Yum<br>does not satisfy that dependency. Maybe you have excluded directfb from<br>RPMforge ?<br><br>In that case, you are better of using smart which is much more intelligent
<br>to cherry pick its dependencies (or allows you to make concise decisions).<br><br>Kind regards,<br>--&nbsp;&nbsp; dag wieers,&nbsp;&nbsp;<a href="mailto:dag@wieers.com">dag@wieers.com</a>,&nbsp;&nbsp;<a href="http://dag.wieers.com/">http://dag.wieers.com/
</a>&nbsp;&nbsp; --<br>[all I want is a warm bed and a kind word and unlimited power]<br></blockquote></div><br>